Query Project Requests
curl --request GET \
--url https://api.example.com/api/v1/projects/{project_slug}/data/requests \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/projects/{project_slug}/data/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/projects/{project_slug}/data/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"timestamp": "2023-11-07T05:31:56Z",
"app_id": "<string>",
"environment": "<string>",
"method": "<string>",
"path": "<string>",
"status_code": 123,
"response_time_ms": 123,
"request_size": 123,
"response_size": 123,
"ip_address": "<string>",
"user_agent": "<string>",
"consumer_id": "<string>",
"consumer_name": "<string>",
"consumer_group": "<string>"
}
],
"total_count": 123,
"page": 123,
"page_size": 123
}Projects
Query Project Requests
Query raw API request data across all apps in a project (or specific apps).
Filters:
- app_slugs: Comma-separated app slugs (e.g., “api,worker”)
- environment: Filter by environment name
- methods: Comma-separated HTTP methods (e.g., “GET,POST”)
- status_codes: Comma-separated status codes (e.g., “200,201,404”)
- min_response_time/max_response_time: Response time range in ms
- path_filter: Path pattern (use * for wildcards, e.g., “/api/users/*”)
- since/until: ISO8601 timestamps for time range
- page/page_size: Pagination controls
GET
/
api
/
v1
/
projects
/
{project_slug}
/
data
/
requests
Query Project Requests
curl --request GET \
--url https://api.example.com/api/v1/projects/{project_slug}/data/requests \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/projects/{project_slug}/data/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/projects/{project_slug}/data/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"timestamp": "2023-11-07T05:31:56Z",
"app_id": "<string>",
"environment": "<string>",
"method": "<string>",
"path": "<string>",
"status_code": 123,
"response_time_ms": 123,
"request_size": 123,
"response_size": 123,
"ip_address": "<string>",
"user_agent": "<string>",
"consumer_id": "<string>",
"consumer_name": "<string>",
"consumer_group": "<string>"
}
],
"total_count": 123,
"page": 123,
"page_size": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.